"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearErrorsShowing = clearErrorsShowing;
exports.showError = showError;
exports.hideError = hideError;

var _quizCommon = require("@instructure/quiz-common");

function clearErrorsShowing() {
  return {
    type: _quizCommon.CLEAR_ERRORS_SHOWING,
    payload: {}
  };
}

function showError(key) {
  return {
    type: _quizCommon.SHOW_ERROR,
    payload: {
      key: key
    }
  };
}

function hideError(key) {
  return {
    type: _quizCommon.HIDE_ERROR,
    payload: {
      key: key
    }
  };
}