"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.jsoniblePromise = jsoniblePromise;
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2.default)(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

// used for testing fetch calls that expect a
// promise returned by jsonify
function jsoniblePromise(resolutionValue) {
  var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  var resolvePromise = new Promise(function (resolve, reject) {
    resolve(resolutionValue);
  });
  return {
    status: options.status || 200,
    headers: {
      get: function get(attr) {
        return _objectSpread({
          'Content-Type': options.contentType || 'application/json; charset=utf-8'
        }, options.headers || {})[attr];
      }
    },
    json: function json() {
      return resolvePromise;
    }
  };
}

var _default = function _default(res) {
  return res.json();
};

exports.default = _default;