"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _immutable = require("immutable");

var _quizCommon = require("@instructure/quiz-common");

var _default = function _default() {
  var state = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : (0, _immutable.fromJS)({});
  var action = arguments.length > 1 ? arguments[1] : void 0;

  switch (action.type) {
    case _quizCommon.CALL_STATUS:
      return state.setIn([action.payload.call, 'requestStatus'], action.payload.status);

    case _quizCommon.SET_CALLBACKS_STATUS:
      return state.setIn([action.payload.call, 'callbackStatus'], action.payload.status);

    default:
      return state;
  }
};

exports.default = _default;